Subject: bug#13324: Improvements to "dist" targets (was: Re: EXTRA_DIST, directories, tar --exclude-vcs)

From: [email-masked] (Karl Berry)
Date: Thu, 3 Jan 2013 00:57:07 GMT

> that every tar (except maybe really ancient ones, can't remember, but we
    > don't care) supports the -style.

    It would be nice to verify this claim on as much systems as possible

Certainly POSIX has always required supporting -options, which is some
15 years old at least.  Or do I mean 25?  Either way ...  And in
practice, every system I've ever used has a system tar supporting
-options, not just "old-style" options without the -.

Thus I would still propose that Automake always use -options to tar in
its output, never old-style options.

As for tar-v7, tar-ustar, tar-pax ... I don't know.

k